<?php

namespace CustomerManagement\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LookupCustomerIdResponse StructType
 * @subpackage Structs
 */
class LookupCustomerIdResponse extends AbstractStructBase
{
    /**
     * The LookupCustomerIdResult
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $LookupCustomerIdResult;
    /**
     * Constructor method for LookupCustomerIdResponse
     * @uses LookupCustomerIdResponse::setLookupCustomerIdResult()
     * @param int $lookupCustomerIdResult
     */
    public function __construct($lookupCustomerIdResult = null)
    {
        $this
            ->setLookupCustomerIdResult($lookupCustomerIdResult);
    }
    /**
     * Get LookupCustomerIdResult value
     * @return int
     */
    public function getLookupCustomerIdResult()
    {
        return $this->LookupCustomerIdResult;
    }
    /**
     * Set LookupCustomerIdResult value
     * @param int $lookupCustomerIdResult
     * @return \CustomerManagement\StructType\LookupCustomerIdResponse
     */
    public function setLookupCustomerIdResult($lookupCustomerIdResult = null)
    {
        // validation for constraint: int
        if (!is_null($lookupCustomerIdResult) && !(is_int($lookupCustomerIdResult) || ctype_digit($lookupCustomerIdResult))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($lookupCustomerIdResult, true), gettype($lookupCustomerIdResult)), __LINE__);
        }
        $this->LookupCustomerIdResult = $lookupCustomerIdResult;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \CustomerManagement\StructType\LookupCustomerIdResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
